- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# GUIEventHandler File Reference

`#include <vector>`
`#include <osg/Referenced>`
`#include <osg/Object>`
`#include <osg/ApplicationUsage>`
`#include <osgGA/Export>`
`#include <osgGA/GUIEventAdapter>`
`#include <osgGA/GUIActionAdapter>`
`#include <osgGA/GUIEventHandlerVisitor>`

Include dependency graph for GUIEventHandler:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgGA
## Classes
class | osgGA::GUIEventHandler
| GUIEventHandler provides a basic interface for any class which wants to handle a GUI Events. More...
class | osgGA::CompositeGUIEventHandler
| CompositeGUIEventHandler allows GUIEventHandlers to be composed into hierarchies. More...
## Defines
#define | OSGGA_GUIEVENTHANDLER 1

## Define Documentation

#define OSGGA_GUIEVENTHANDLER 1